
From: Peter Osterlund <petero2@telia.com>

Vojtech Pavlik <vojtech@suse.cz> writes:

> ChangeSet@1.1345, 2003-09-19 01:20:33-07:00, vojtech@suse.cz
>   psmouse-base.c:
>     Make sure psmouse->pktcnt is zero after passing a byte
>     to be processed by synaptics code.

This patch breaks synaptics support, because the pktcnt variable is
now used by the synaptics code. (Previously the synpatics code used a
private buffer, which was unnecessary and therefore removed.)
Reverting this patch makes the touchpad work again for me using kernel
2.6.0-test5-bk8:



 drivers/input/mouse/psmouse-base.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN drivers/input/mouse/psmouse-base.c~synaptics-fix drivers/input/mouse/psmouse-base.c
--- 25/drivers/input/mouse/psmouse-base.c~synaptics-fix	2003-09-21 10:10:33.000000000 -0700
+++ 25-akpm/drivers/input/mouse/psmouse-base.c	2003-09-21 10:10:33.000000000 -0700
@@ -173,7 +173,6 @@ static irqreturn_t psmouse_interrupt(str
 		 * so it needs to receive all bytes one at a time.
 		 */
 		synaptics_process_byte(psmouse, regs);
-		psmouse->pktcnt = 0;
 		goto out;
 	}
 

_
